Skip to main content
Blackboard Help

Blackboard Drive 1.6

The topics in this section are available in English only.

Blackboard Drive Release 1.6 is supported for use with Blackboard Learn Release 9.1 Service Pack 4 (9.1.40071.3) or later with a content management license.

For the best user experience and to have access to Easy Edit with Blackboard Drive, clients should be running Learn 9.1 Service Pack 6 (9.1.60230.0) or later.